# CUpti_ActivityContext Struct Reference
[CUPTI Activity API]

The activity record for a context. More...

## Data Fields
uint16_t | computeApiKind
uint32_t | contextId
uint32_t | deviceId
CUpti_ActivityKind | kind
uint16_t | nullStreamId

## Detailed Description

This activity record represents information about a context (CUPTI_ACTIVITY_KIND_CONTEXT).

## Field Documentation

uint16_t CUpti_ActivityContext::computeApiKind

The compute API kind.

See also:
  CUpti_ActivityComputeApiKind

uint32_t CUpti_ActivityContext::contextId

The context ID.

uint32_t CUpti_ActivityContext::deviceId

The device ID.

CUpti_ActivityKind CUpti_ActivityContext::kind

The activity record kind, must be CUPTI_ACTIVITY_KIND_CONTEXT.

uint16_t CUpti_ActivityContext::nullStreamId

The ID for the NULL stream in this context